Subject: 28.0.50; [".+" 0 font-shape-gstring] composition rule breaks paren highlighting

From: Pip Cet <[email-masked]>
Date: Fri, 22 May 2020 12:50:13 +0000

...and other things. It's probably a case of "if it hurts, don't do that".

There seems to be a general problem using such regexps in the
composition-function-table.

If I evaluate this in emacs -Q (by placing point after it and hitting C-x C-e)

(custom-set-faces
 '(default ((t (:family "Libertinus Serif" :height 330)))))
(set-char-table-range composition-function-table t '([".+" 0
font-shape-gstring]))

the font correctly changes to a very large Libertinus font. I then hit
C-b C-d ) and the entire last line is highlighted, not just the
opening parenthesis. After the blink delay is over, the opening
parenthesis and the "s" following it are unhighlighted, but the rest
of the line is not. It stays like that permanently (screenshot
attached).